Get campaign sending status
curl --request GET \
--url https://api.instantly.ai/api/v2/campaigns/{id}/sending-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/campaigns/{id}/sending-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/campaigns/{id}/sending-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/campaigns/{id}/sending-status")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/campaigns/{id}/sending-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/campaigns/{id}/sending-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"diagnostics": {
"campaign_id": "019f985c-80d2-7e61-ae8a-1e7f7814cd84",
"subsequence_id": "019f985c-80d2-7e61-ae8a-1e8072272e69",
"last_updated": "2026-07-25T08:20:26.962Z",
"status": "healthy",
"issue_tracking": {
"current_status_code": "healthy",
"issue_first_seen_at": "2026-07-25T08:20:26.962Z",
"consecutive_loops_with_issue": 0,
"last_healthy_send_at": "2026-07-25T08:20:26.962Z"
},
"accounts_summary": {
"total_connected": 5,
"available": 3,
"unavailable": {
"daily_limit_hit": 1,
"slow_ramp_limit_hit": 0,
"disconnected": 1,
"global_gap_not_met": 0
}
},
"campaign_daily_limit": {
"limit": 100,
"sent": 50,
"limit_hit": false
},
"new_lead_limit": {
"enabled": true,
"limit": 50,
"contacted": 25,
"limit_hit": false
},
"schedule_status": {
"in_schedule": true
},
"send_one_by_one": {
"enabled": false,
"single_account_per_wait_gap": false
},
"follow_ups_waiting": {
"count": 10,
"earliest_wait_time_seconds": 3600
},
"esp_routing_status": {
"enabled": false,
"waiting_for_match": false,
"connected_esps": [
1
]
},
"domain_limiter": {
"active": false,
"domains_at_limit": 0
},
"leads_status": {
"no_leads_ready": false,
"account_unavailable_skips": 0,
"delay_not_met_skips": 0
}
},
"summary": {
"status": "healthy",
"status_message": "Campaign is sending normally",
"issue_started_at": "2026-07-25T08:20:26.962Z",
"last_healthy_send_at": "2026-07-25T08:20:26.962Z",
"ai_summary": "Your campaign is sending emails normally."
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Campaign
Get campaign sending status
Returns sending status data explaining why a campaign may not be sending emails or is sending slower than expected. Note: Some fields may be missing when the campaign is out of schedule. Always-present fields: campaign_id, last_updated, status, issue_tracking.
Requires one of the following scopes: campaigns:read, campaigns:all, all:read, all:all
GET
/
api
/
v2
/
campaigns
/
{id}
/
sending-status
Get campaign sending status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Campaign ID
Example:
"019f985c-92bc-7230-87b5-f5241f08f2c0"
Query Parameters
Include AI-generated summary
Example:
false
Response
Sending status data with human-readable summary. Returns null for both fields if no data is available.
Sending status data with human-readable summary. Returns null for both fields if no data is available.
⌘I